package routers

import (
	"eta/eta_bridge/controller"
	"eta/eta_bridge/middleware"
	"github.com/gin-gonic/gin"
)

func InitAuth(r *gin.RouterGroup) {
	//登录
	authController := new(controller.AuthController)
	authGroup := r.Group("auth/").Use(middleware.Token())
	authGroup.POST("auth_code", authController.CreateAuthCode)
	//authGroup.POST("eta_token", authController.GetEtaToken)
	authGroup.POST("crm_token", authController.GetCrmToken)

	// 需要内部鉴权的接口
	initAuthEta(r)
}

// initAuthEta
// @Description: 需要内部鉴权的接口
// @author: Roc
// @datetime 2024-04-15 13:47:40
// @param r *gin.RouterGroup
func initAuthEta(r *gin.RouterGroup) {
	control := new(controller.AuthController)
	authGroup := r.Group("auth/").Use(middleware.InternalToken())
	authGroup.POST("eta_token", control.GetEtaToken)
}
